Subject: Re: bug#25235: [PATCH 1/1] build-system/pyproject: Do not wrap native-inputs.

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 18 Jan 2023 08:22:52 -0500

Hi Efraim,

Efraim Flashner <[email-masked]> writes:

> I'm still on my first cup of coffee...
>
> If a python input is in inputs and in native-inputs would it be included
> in the wrapper or not? At first glance I'd say no. Does the search path
> do deduplication? If it doesn't then it'd work to only remove the first
> instance matching from native-input-dirs.

It wouldn't be included with the current simple logic, which simply
remove any native input from the items of GUIX_PYTHONPATH.  Good catch!
I'll send a v2 with the refined check.

-- 
Thanks,
Maxim